Subject: [os2genau_digest] No. 855
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 13 May 2004 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 12 May 2004
 Number  855
**************************************************

Subjects for today
 
1  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : John Angelico" <talldad at kepl dot com dot au>
2  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : John Angelico" <talldad at kepl dot com dot au>
4  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Mike O'Connor <mikeoc at dodo dot com dot au>
5  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Wed, 12 May 2004 16:24:03 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

On Tue, 11 May 2004 10:15:43 +1000, Ed Durrant wrote:

Hi Ed.

We now have some progress.

I added the MAC address of the Etherjet (as per the manual, found on the back
of the card as a 12-character hex value) to the MPTS parameters, and we
finally have a card successfully recognised by PC Card Director, plus
resources are correctly allocated.

For the benefit of all other readers of this missive, along the way we had
partial success but had an IRQ error which was *accurately* reported by PC
Card Director.

>> >[IBMEXNDI_nif]
>> >
>> >Drivername = IBMEXN$
>> >IOBASEADDRESS = 0x300
>> >IRQ = 10
>>
>> (obviously you'll need to adjust the values)
>>
>> We used 0x200 and IRQ 3 to no avail.

Now we use IRQ 5 successfully.

>Can you please type into this email, exactly what is on the PCMCIA.SYS and IBMSSxx (can be different numbers for xx) lines of your Config.sys and cut and paste the whole of protocol.ini into the note.

Here goes. From CONFIG.SYS:
BASEDEV=PCMCIA.SYS
BASEDEV=IBM2SS14.SYS

[ie. no parameters of any sort]

and here is PROTOCOL.INI:
[PROT_MAN]

   DRIVERNAME = PROTMAN$

[IBMLXCFG]

   netbeui_nif = netbeui.nif
   tcpip_nif = tcpip.nif
   IBMEXNDI_nif = IBMEXNDI.NIF

[NETBIOS]

   DriverName = netbios$
   ADAPTER0 = netbeui$,0

[netbeui_nif]

   DriverName = netbeui$
   Bindings = IBMEXNDI_nif
   ETHERAND_TYPE = "I"
   USEADDRREV = "YES"
   OS2TRACEMASK = 0x0
   SESSIONS = 130
   NCBS = 225
   NAMES = 21
   SELECTORS = 50
   USEMAXDATAGRAM = "NO"
   ADAPTRATE = 1000
   WINDOWERRORS = 0
   MAXDATARCV = 4168
   TI = 30000
   T1 = 1000
   T2 = 200
   MAXIN = 1
   MAXOUT = 1
   NETBIOSTIMEOUT = 500
   NETBIOSRETRIES = 3
   NAMECACHE = 1000
   RNDOPTION = 1
   PIGGYBACKACKS = 1
   DATAGRAMPACKETS = 50
   PACKETS = 300
   LOOPPACKETS = 8
   PIPELINE = 5
   MAXTRANSMITS = 6
   MINTRANSMITS = 2
   DLCRETRIES = 10
   FCPRIORITY = 5
   NETFLAGS = 0x0

[tcpip_nif]

   DriverName = TCPIP$
   Bindings = IBMEXNDI_nif

[IBMEXNDI_nif]

   DriverName = IBMEXN$
   NETWORKADDRESS = "0004ac2f5143"
   IOBASEADDRESS = 0x0200
   IRQ = 5

As well, we saved a few lines which we cut out in earlier tests, since they
didn't seem to help:
   MEMORY = 0xD000
   RXBUFFERSIZE = 15
   TXBUFFERSIZE = 2
   LATENCY = 32
   CACHE = 8

Would these be of any use now or doesn't it matter?

>The system thinks you are selecting a particular socket. This suggests you may have an incorrect parameter set somewhere.

I hadn't recalled any need to supply the MAC address on the 760EL setup, but
we are now at the stage of hardware operating, transport layer operating but
network services not responding to the rest of the network.

Now we can NET VIEW and see ourselves:
[C:\]net view
Server Name            Remark
ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
\\SPIKE                390E Laptop
The command completed successfully.

but nobody else. 

Ping gives us 

[C:\]ping 192.168.0.255
PING 192.168.0.255: 56 data bytes
64 bytes from 192.168.0.5: icmp_seq=0. time=0. ms
64 bytes from 192.168.0.5: icmp_seq=1. time=0. ms
64 bytes from 192.168.0.5: icmp_seq=2. time=0. ms
64 bytes from 192.168.0.5: icmp_seq=3. time=0. ms
64 bytes from 192.168.0.5: icmp_seq=4. time=0. ms

----192.168.0.255 PING Statistics----
5 packets transmitted, 5 packets received, 0% packet loss
round-trip (ms)  min/avg/max = 0/0/0

where 192.168.0.5 is this local machine

Therefore, ladies and gentlemen, I must still be doing something wrong or
*not doing* something which is necessary for the rest of the connected world
to see this humble little laptop.

I have just a few days before I need to take this laptop on a business trip,
and we have to propogate files and applications from our desktop machines.

We *could* manage by burning a CD, but... what's the point of a network that
doesn't net-work? <g>

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... HowMuchWorkCouldANetworkNetIfANetworkCouldNetWork?
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 12 May 2004 19:57:43 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

O.K. John so everything is working now - the card is operating correctly as far as I can see.

By the way setting the network (MAC) address in MPTS simply overrides the address in the card - ie this is not what fixed your problems, you can take it out and all will still work the same, switching the
IRQ to one that wasn't in use is probably what fixed things up.

Now, I read between the lines that you can't communicate with some other systems on your LAN - right ?

Test 1.  Can you PING another system by IP ADDRESS ?? (perhaps your router/firewall if you have one).

Test 2.  Check if the other systems are running NetBeui and sharing files between themselves without problems. If so do you have NetBeui loaded or only TCPIP ? Do you have your system defined in the same
domain / workgroup ?? Make sure NO systems have names with spaces in them and none have names longer than 15 characters.

Test 3. Since you're using 10Base-2 are you sure you have the correct port enabled on the card - ie the coax port, not the UTP one.

Test 4. TERMINATORS - is there a terminator ar each end of your coax cable which connects all systems together via T-Pieces. Try replacing the T-Piece on your system.

Test 5. Cable length - how far to the next system.

Test 6. Switch to a UTP cross-over cable to another system and see if things work then.

Cheers/2

Ed.

John Angelico wrote:

> On Tue, 11 May 2004 10:15:43 +1000, Ed Durrant wrote:
>
> Hi Ed.
>
> We now have some progress.
>
> I added the MAC address of the Etherjet (as per the manual, found on the back
> of the card as a 12-character hex value) to the MPTS parameters, and we
> finally have a card successfully recognised by PC Card Director, plus
> resources are correctly allocated.
>
> For the benefit of all other readers of this missive, along the way we had
> partial success but had an IRQ error which was *accurately* reported by PC
> Card Director.
>
> >> >[IBMEXNDI_nif]
> >> >
> >> >Drivername = IBMEXN$
> >> >IOBASEADDRESS = 0x300
> >> >IRQ = 10
> >>
> >> (obviously you'll need to adjust the values)
> >>
> >> We used 0x200 and IRQ 3 to no avail.
>
> Now we use IRQ 5 successfully.
>
> >Can you please type into this email, exactly what is on the PCMCIA.SYS and IBMSSxx (can be different numbers for xx) lines of your Config.sys and cut and paste the whole of protocol.ini into the note.
>
> Here goes. From CONFIG.SYS:
> BASEDEV=PCMCIA.SYS
> BASEDEV=IBM2SS14.SYS
>
> [ie. no parameters of any sort]
>
> and here is PROTOCOL.INI:
> [PROT_MAN]
>
>    DRIVERNAME = PROTMAN$
>
> [IBMLXCFG]
>
>    netbeui_nif = netbeui.nif
>    tcpip_nif = tcpip.nif
>    IBMEXNDI_nif = IBMEXNDI.NIF
>
> [NETBIOS]
>
>    DriverName = netbios$
>    ADAPTER0 = netbeui$,0
>
> [netbeui_nif]
>
>    DriverName = netbeui$
>    Bindings = IBMEXNDI_nif
>    ETHERAND_TYPE = "I"
>    USEADDRREV = "YES"
>    OS2TRACEMASK = 0x0
>    SESSIONS = 130
>    NCBS = 225
>    NAMES = 21
>    SELECTORS = 50
>    USEMAXDATAGRAM = "NO"
>    ADAPTRATE = 1000
>    WINDOWERRORS = 0
>    MAXDATARCV = 4168
>    TI = 30000
>    T1 = 1000
>    T2 = 200
>    MAXIN = 1
>    MAXOUT = 1
>    NETBIOSTIMEOUT = 500
>    NETBIOSRETRIES = 3
>    NAMECACHE = 1000
>    RNDOPTION = 1
>    PIGGYBACKACKS = 1
>    DATAGRAMPACKETS = 50
>    PACKETS = 300
>    LOOPPACKETS = 8
>    PIPELINE = 5
>    MAXTRANSMITS = 6
>    MINTRANSMITS = 2
>    DLCRETRIES = 10
>    FCPRIORITY = 5
>    NETFLAGS = 0x0
>
> [tcpip_nif]
>
>    DriverName = TCPIP$
>    Bindings = IBMEXNDI_nif
>
> [IBMEXNDI_nif]
>
>    DriverName = IBMEXN$
>    NETWORKADDRESS = "0004ac2f5143"
>    IOBASEADDRESS = 0x0200
>    IRQ = 5
>
> As well, we saved a few lines which we cut out in earlier tests, since they
> didn't seem to help:
>    MEMORY = 0xD000
>    RXBUFFERSIZE = 15
>    TXBUFFERSIZE = 2
>    LATENCY = 32
>    CACHE = 8
>
> Would these be of any use now or doesn't it matter?
>
> >The system thinks you are selecting a particular socket. This suggests you may have an incorrect parameter set somewhere.
>
> I hadn't recalled any need to supply the MAC address on the 760EL setup, but
> we are now at the stage of hardware operating, transport layer operating but
> network services not responding to the rest of the network.
>
> Now we can NET VIEW and see ourselves:
> [C:\]net view
> Server Name            Remark
> ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
> \\SPIKE                390E Laptop
> The command completed successfully.
>
> but nobody else.
>
> Ping gives us
>
> [C:\]ping 192.168.0.255
> PING 192.168.0.255: 56 data bytes
> 64 bytes from 192.168.0.5: icmp_seq=0. time=0. ms
> 64 bytes from 192.168.0.5: icmp_seq=1. time=0. ms
> 64 bytes from 192.168.0.5: icmp_seq=2. time=0. ms
> 64 bytes from 192.168.0.5: icmp_seq=3. time=0. ms
> 64 bytes from 192.168.0.5: icmp_seq=4. time=0. ms
>
> ----192.168.0.255 PING Statistics----
> 5 packets transmitted, 5 packets received, 0% packet loss
> round-trip (ms)  min/avg/max = 0/0/0
>
> where 192.168.0.5 is this local machine
>
> Therefore, ladies and gentlemen, I must still be doing something wrong or
> *not doing* something which is necessary for the rest of the connected world
> to see this humble little laptop.
>
> I have just a few days before I need to take this laptop on a business trip,
> and we have to propogate files and applications from our desktop machines.
>
> We *could* manage by burning a CD, but... what's the point of a network that
> doesn't net-work? <g>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or
> talldad at kepl dot com dot au
> ___________________
>
> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
> ... HowMuchWorkCouldANetworkNetIfANetworkCouldNetWork?

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 12 May 2004 22:02:50 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

On Wed, 12 May 2004 19:57:43 +1000, Ed Durrant wrote:

Hi Ed.

>O.K. John so everything is working now - the card is operating correctly as far as I can see.

Yes, as stated in prev email, at hardware and PC Card Director level. Cards
are recognised and Launch action in PC Card Director occurs correctly.

>By the way setting the network (MAC) address in MPTS simply overrides the address in the card - ie this is not what fixed your problems, you can take it out and all will still work the same, switching the
>IRQ to one that wasn't in use is probably what fixed things up.

Hmm, I take your point, but then I have a puzzle: why wasn't the IRQ error
reported previously, when I had no MAC address, as explicitly as this time?

>
>Now, I read between the lines that you can't communicate with some other systems on your LAN - right ?

Correct - shouldn't be between the lines but within the lines quoted<g>.

>Test 1.  Can you PING another system by IP ADDRESS ?? (perhaps your router/firewall if you have one).

No - see prev email report of Net View and Ping results

>
>Test 2.  
>2a Check if the other systems are running NetBeui and sharing files between themselves without problems. 
Yes they are.

>2b If so do you have NetBeui loaded or only TCPIP ? 
Netbeui and TCP/IP are listed in MPTS as separate protocols. Same as on other
machines on the LAN. See prev email.

>2c Do you have your system defined in the same domain/workgroup?? 
Yes: Domain KINGSLEY all caps

>2d Make sure NO systems have names with spaces in them and none have names longer than 15 characters.
Done

>Test 3. Since you're using 10Base-2 are you sure you have the correct port enabled on the card - ie the coax port, not the UTP one.

Automatic. Cannot be changed on EtherJet. All other devices functioning among
themselves normally.

>
>Test 4. TERMINATORS
>4a Is there a terminator ar each end of your coax cable which connects all systems together via T-Pieces. 
Yes. Rest of the system functioning AOK.

>4b Try replacing the T-Piece on your system.

Tried - no change

>Test 5. Cable length - how far to the next system.

Cables do not exceed 15 mtrs. In some cases only 3 mtrs. of cable length.
Cramped space means distance ATCF (as the crow flies) is a few inches or a
couple of feet<g>

>
>Test 6. Switch to a UTP cross-over cable to another system and see if things work then.

More difficult. May have to seek assistance from outside. 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... What we have here is a failure to communicate <but not between Ed and me
:-) >

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 12 May 2004 22:57:27 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

John Angelico wrote:

>On Wed, 12 May 2004 19:57:43 +1000, Ed Durrant wrote:
>
>Hi Ed.
>
>>O.K. John so everything is working now - the card is operating correctly as far as I can see.
>>    
>>
>Yes, as stated in prev email, at hardware and PC Card Director level. Cards
>are recognised and Launch action in PC Card Director occurs correctly.
>
>>By the way setting the network (MAC) address in MPTS simply overrides the address in the card - ie this is not what fixed your problems, you can take it out and all will still work the same, switching the
>>IRQ to one that wasn't in use is probably what fixed things up.
>>
>Hmm, I take your point, but then I have a puzzle: why wasn't the IRQ error
>reported previously, when I had no MAC address, as explicitly as this time?
>
>>Now, I read between the lines that you can't communicate with some other systems on your LAN - right ?
>>
>Correct - shouldn't be between the lines but within the lines quoted<g>.
>
>>Test 1.  Can you PING another system by IP ADDRESS ?? (perhaps your router/firewall if you have one).
>>    
>>
>No - see prev email report of Net View and Ping results
>
>>Test 2.  
>>2a Check if the other systems are running NetBeui and sharing files between themselves without problems. 
>>    
>>
>Yes they are.
>
>>2b If so do you have NetBeui loaded or only TCPIP ? 
>>    
>>
>Netbeui and TCP/IP are listed in MPTS as separate protocols. Same as on other machines on the LAN. See prev email.
>
>>2c Do you have your system defined in the same domain/workgroup?? 
>>    
>>
>Yes: Domain KINGSLEY all caps
>
>>2d Make sure NO systems have names with spaces in them and none have names longer than 15 characters.
>>    
>>
>Done
>
>>Test 3. Since you're using 10Base-2 are you sure you have the correct port enabled on the card - ie the coax port, not the UTP one.
>>    
>>
>Automatic. Cannot be changed on EtherJet. All other devices functioning among themselves normally.
>
>>Test 4. TERMINATORS
>>4a Is there a terminator ar each end of your coax cable which connects all systems together via T-Pieces. 
>>    
>>
>Yes. Rest of the system functioning AOK.
>
>>4b Try replacing the T-Piece on your system.
>>
>Tried - no change
>
>>Test 5. Cable length - how far to the next system.
>>
>Cables do not exceed 15 mtrs. In some cases only 3 mtrs. of cable length.
>Cramped space means distance ATCF (as the crow flies) is a few inches or a
>couple of feet<g>
>
>>Test 6. Switch to a UTP cross-over cable to another system and see if things work then.
>>
>More difficult. May have to seek assistance from outside. 
>  
>

Hi John,
Just in case you haven't already been down this lane -:
Is the UID on that non-communicating machine registered with the other 
machines on the LAN?
As pinging isn't working with elsewhere, In the \mptn\bin\mptconfg.ini 
check the IP dotted quad addresses, and check ditto in the setup.cmd in 
the same directory.

HTH

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 12 May 2004 22:53:04 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

OK, so we still have a problem at the IP or cable level. You can ping the system itself but nothing outside of the system. I think once Ping works externally, Net View will as well.

Can any of the other machines Ping this machine ? (Sorry if you already answered).

Are all systems on the same subnet with the same subnet mask ?

Are all systems configured to use the same DNSes (not relevant yet but should be the same), or do you use a HOSTS file and if so is it the same on all systems ?

I guess you don't have a second, identical card that you could swop in to test for hardware failure ??

There are *NO* errors at boot up now, right ??

Cheers/2

Ed.

John Angelico wrote:

> On Wed, 12 May 2004 19:57:43 +1000, Ed Durrant wrote:
>
> Hi Ed.
>
> >O.K. John so everything is working now - the card is operating correctly as far as I can see.
>
> Yes, as stated in prev email, at hardware and PC Card Director level. Cards
> are recognised and Launch action in PC Card Director occurs correctly.
>
> >By the way setting the network (MAC) address in MPTS simply overrides the address in the card - ie this is not what fixed your problems, you can take it out and all will still work the same, switching the
> >IRQ to one that wasn't in use is probably what fixed things up.
>
> Hmm, I take your point, but then I have a puzzle: why wasn't the IRQ error
> reported previously, when I had no MAC address, as explicitly as this time?
>
> >
> >Now, I read between the lines that you can't communicate with some other systems on your LAN - right ?
>
> Correct - shouldn't be between the lines but within the lines quoted<g>.
>
> >Test 1.  Can you PING another system by IP ADDRESS ?? (perhaps your router/firewall if you have one).
>
> No - see prev email report of Net View and Ping results
>
> >
> >Test 2.
> >2a Check if the other systems are running NetBeui and sharing files between themselves without problems.
> Yes they are.
>
> >2b If so do you have NetBeui loaded or only TCPIP ?
> Netbeui and TCP/IP are listed in MPTS as separate protocols. Same as on other
> machines on the LAN. See prev email.
>
> >2c Do you have your system defined in the same domain/workgroup??
> Yes: Domain KINGSLEY all caps
>
> >2d Make sure NO systems have names with spaces in them and none have names longer than 15 characters.
> Done
>
> >Test 3. Since you're using 10Base-2 are you sure you have the correct port enabled on the card - ie the coax port, not the UTP one.
>
> Automatic. Cannot be changed on EtherJet. All other devices functioning among
> themselves normally.
>
> >
> >Test 4. TERMINATORS
> >4a Is there a terminator ar each end of your coax cable which connects all systems together via T-Pieces.
> Yes. Rest of the system functioning AOK.
>
> >4b Try replacing the T-Piece on your system.
>
> Tried - no change
>
> >Test 5. Cable length - how far to the next system.
>
> Cables do not exceed 15 mtrs. In some cases only 3 mtrs. of cable length.
> Cramped space means distance ATCF (as the crow flies) is a few inches or a
> couple of feet<g>
>
> >
> >Test 6. Switch to a UTP cross-over cable to another system and see if things work then.
>
> More difficult. May have to seek assistance from outside.
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or
> talldad at kepl dot com dot au
> ___________________
>
> PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
> ... What we have here is a failure to communicate <but not between Ed and me
> :-) >
>

>  

----------------------------------------------------------------------------------